# OptionalNamedType

class pyasn1.type.namedtype.OptionalNamedType(name, asn1Object, openType=None)

  Create named field object for a constructed ASN.1 type.

  The OptionalNamedType object represents a single name and ASN.1 type of a constructed ASN.1 type.

  OptionalNamedType objects are immutable and duck-type Python `tuple` objects holding name and asn1Object components.

  Parameters:

    - name (`str`) – Field name

    - asn1Object – ASN.1 type object

  Note

  The OptionalNamedType class models an optional field of a constructed ASN.1 type.

  The OptionalNamedType objects are normally utilized by the NamedTypes objects to model individual fields of the constructed ASN.1 types.